## org.apache.fop.image.analyser
Class ImageReaderFactory

    java.lang.Object
      |
      +--org.apache.fop.image.analyser.ImageReaderFactory

public class ImageReaderFactory
extends java.lang.Object

Factory for ImageReader objects.

Version:
  1.0
Author:
  Pankaj Narula

Field Summary
`protected static java.util.Vector` `formats`

Constructor Summary
`ImageReaderFactory()`

Method Summary
`static ImageReader` `Make(java.io.InputStream in)` ImageReader maker.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### formats

    protected static java.util.Vector formats

Constructor Detail

### ImageReaderFactory

    public ImageReaderFactory()

Method Detail

### Make

    public static ImageReader Make(java.io.InputStream in)
                            throws FopImageException

  ImageReader maker.
  Parameters:
    `in` - image input stream
  Returns:
    ImageReader object
  Throws:
    FopImageException - an error occured during creation or image type is not supported

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.